import { useContext } from 'react';
import Context from './internal/Context';
/**
 * @returns {{router: import('./types').Router}}
 */

var useRouterContext = function useRouterContext() {
  var context = useContext(Context);

  if (context === undefined) {
    throw new Error('@s-ui/react-router must be used within a <Router />');
  }

  return context;
};
/**
 * @returns {import('./types').Params}
 */


export var useParams = function useParams() {
  return useRouterContext().router.params;
};
/**
 * @returns {import('./types').Location}
 */

export var useLocation = function useLocation() {
  return useRouterContext().router.location;
};
/**
 * @returns {import('./types').Router}
 */

export var useRouter = function useRouter() {
  return useRouterContext().router;
};